using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Hosting;
using System.Web;
using System.IO;
using System.Reflection;

namespace VirtualPathCommon
{
    public class AssemblyResourceVirtualFile : VirtualFile
    {
        private string AssemblyPath;
        private string ResourceName;

        public AssemblyResourceVirtualFile(string virtualPath, string assemblyPath, string resourceName)
            : base(virtualPath)
        {
            AssemblyPath = assemblyPath;// Path.Combine(HttpRuntime.BinDirectory, assemblyPath);
            ResourceName = resourceName;
        }

        public override System.IO.Stream Open()
        {
            Assembly assembly = Assembly.LoadFrom(AssemblyPath);
            if (assembly != null)
            {
                return assembly.GetManifestResourceStream(ResourceName);
            }
            return null;
        }
    }
}
